# Datadog Trace Client

[![Gem](https://img.shields.io/gem/v/datadog)](https://rubygems.org/gems/datadog/)
[![codecov](https://codecov.io/gh/DataDog/dd-trace-rb/branch/master/graph/badge.svg)](https://app.codecov.io/gh/DataDog/dd-trace-rb/branch/master)
[![YARD documentation](https://img.shields.io/badge/YARD-documentation-blue)][api docs]

``datadog`` is Datadog's client library for Ruby. It includes a suite of tools which provide visibility into the performance and security of Ruby applications, to enable Ruby developers to identify bottlenecks and other issues.

## Getting started

**If you're upgrading from a 1.x version, check out the [upgrade guide](https://github.com/DataDog/dd-trace-rb/blob/release/docs/UpgradeGuide2.md).**

For a product overview, installation, and configuration check out our [documentation][public docs].

For the gem API, check out our [API documentation][api docs].

For descriptions of terminology used in APM, take a look at the [APM Terms and Concepts][APM glossary].

For contributing, checkout the [contribution guidelines][contribution docs] and [development guide][development docs].

[public docs]: https://docs.datadoghq.com/tracing/setup/ruby/
[api docs]: https://datadog.github.io/dd-trace-rb/
[APM glossary]: https://docs.datadoghq.com/tracing/glossary/
[contribution docs]: https://github.com/DataDog/dd-trace-rb/blob/master/CONTRIBUTING.md
[development docs]: https://github.com/DataDog/dd-trace-rb/blob/master/docs/DevelopmentGuide.md
